define class badlogfileprocessortests as FxuTestCase of FxuTestCase.prg
	#if .f.
		local this as badlogfileprocessortests of badlogfileprocessortests.PRG
	#endif

	icTestPrefix = 'Test'
	oObjectToTest = .NULL.
	
	function Setup
		This.oObjectToTest = newobject('LogFileProcessor', 'LogFileProcessor.prg')
	endfunc
	
	function TearDown
	endfunc

	function TestIsValidFile_ValidFile_ReturnsTrue
		strtofile('some text', 'x.log')
		llResult = This.oObjectToTest.IsValidFile('x.log')
		This.AssertTrue(llResult)
	endfunc

	function TestIsValidFile_EmptyFile_ReturnsFalse
		llResult = This.oObjectToTest.IsValidFile('x.log')
		This.AssertFalse(llResult)
	endfunc

	function TestIsValidFile_NonExistentFile_ReturnsFalse
		llResult = This.oObjectToTest.IsValidFile('x.log')
		This.AssertFalse(llResult)
	endfunc
enddefine
