define class CustomerBO as Custom
	oConnection   = .NULL.
	cErrorMessage = ''

	function Init(toConnection)
		This.oConnection = toConnection
	endfunc

	function GetCustomer(tcID)
		loCustomer = .NULL.
		lnSelect   = select()
		if This.oConnection.Connect()
			private lcID
			lcID = tcID
			if This.oConnection.Execute('select * from Customers where CustomerID=?lcID')
				if reccount() > 0
					scatter name loCustomer
				else
					This.cErrorMessage = 'Record not found'
				endif
				use
			else
				This.cErrorMessage = 'SQL statement failed: ' + ;
					This.oConnection.cErrorMessage
			endif
		else
			This.cErrorMessage = 'Could not connect to database: ' + ;
				This.oConnection.cErrorMessage
		endif
		select (lnSelect)
		return loCustomer
	endfunc
enddefine
