define class LogFileProcessor as Custom
	cErrorMessage = ''

	function IsValidFile(tcFileName)
		local llReturn
		do case
			case vartype(tcFileName) <> 'C' or empty(tcFileName)
				This.cErrorMessage = 'Invalid filename'
				llReturn = .F.
			case lower(justext(tcFileName)) <> 'log'
				This.cErrorMessage = 'Not a log file'
				llReturn = .F.
			case not file(tcFileName)
				This.cErrorMessage = 'File does not exist'
				llReturn = .F.
			case empty(filetostr(tcFileName))
				This.cErrorMessage = 'File is empty'
				llReturn = .F.
			otherwise
				llReturn = .T.
		endcase
		return llReturn
	endfunc
enddefine
